Subject: Autodock errors: the answer

From: "Hugo G. de Teran" <[email-masked]>
Date: Wed, 14 Nov 2001 14:43:17 +0100

Dear all,
I sumarize the answers to my question, perhaps it may help autodock
users that find the same problem:

QUESTION:

>   When running autodock, I found the next problem:
>
>   DPF> ga_run 10          # do this many GA or LGA runs
>
>   NOTE: Command mode has been set.  Sorry, genetic algorithm-local search cannot be performed.
>
>   DPF>
>   DPF> # Perform Cluster Analysis
>
>
>   DPF> analysis           # do cluster analysis on results
>
>   NOTE: Command mode has been set, so cluster analysis cannot be performed.
>
>   >>> Closing the docking parameter file (DPF)...
>
>   ________________________________________________________________________________
>
>   /usr/local/modelling/AutoDock_3.0/bin/sgi4D.IRIX64_6.5_R10000/autodock3: NOW IN COMMAND MODE.
>
>   And The calculation stays on standby.
>

ANSWERS:

> From  Frank Beierlein <[email-masked]>

> Hi Hugo,
> possibly the filename of your *.dpf file has too many characters. Shortening the filename might help.
> Best regards,
> Frank
>

Thanks a lot, such a simple thing was the problem!!!

 From  "Garrett M. Morris" <[email-masked]>

> You must have used the '-c' flag when you executed autodock3 from the
> UNIX command line, otherwise AutoDock could not go into command mode.
>
> This is not an error: AutoDock is waiting for you to give it a
> command: e.g. you could type "epdb aspirin.pdbq" and AutoDock would
> compute the energy of interaction between the molecule in the PDBQ
> file you specified and the receptor represented by the grid maps
> specified in your DPF.  Type "quit" and AutoDock will terminate
> normally.
>
>

This was not the case, but it is usefull to now about this flag, thanks.

> From [email-masked]

> Dear Hugo,
>
> did you use the pre-compiled executable of autodock that comes with the
> distribution or did you re-compile the source code ? I remember having faced
> a similiar problem with the command mode of autodock when I employed a
> re-compiled executable on an XP1000 Alpha machine. Unfortunately, we were
> unable to solve that problem. But the pre-compiled versions in the
> distribution worked nicely for us.
>
> Regards,
>
> Christian
>
I had used the re-compiled version, I did not find any pre-compiled one.

Thanks all for your answers,
Hope this helps anyone

Hugo

--  Hugo G. de Teran Castañon
G. R. Informatica Biomedica Institut Municipal d'Investigacio Medica -
IMIM C/ Dr Aiguader, 80, E-08003/ Barcelona (SPAIN)
Ph: +34 93 221 10 09 ext 2340
Fax: +34 93 221 3237
http://www1.imim.es/modeling/